Index: /trunk/BNC/src/upload/bncrtnetuploadcaster.cpp
===================================================================
--- /trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 9024)
+++ /trunk/BNC/src/upload/bncrtnetuploadcaster.cpp	(revision 9025)
@@ -31,8 +31,8 @@
     const QString& ntripVersion,
     const QString& userName, const QString& password,
-    const QString& crdTrafo, bool CoM, const QString& sp3FileName,
+    const QString& crdTrafo, const QString& ssrFormat, bool CoM, const QString& sp3FileName,
     const QString& rnxFileName, int PID, int SID, int IOD, int iRow) :
     bncUploadCaster(mountpoint, outHost, outPort, ntripVersion, userName, password, iRow, 0) {
-
+qDebug() << "bncRtnetUploadCaster";
 
   if (!mountpoint.isEmpty()) {
@@ -56,4 +56,16 @@
 
   _crdTrafo = crdTrafo;
+
+  _ssrFormat = ssrFormat;qDebug() << _ssrFormat;
+  _ssrCorr = 0;
+  if      (_ssrFormat == "IGS-SSR") {qDebug() << "bin hier IGS";
+    _ssrCorr = new SsrCorrIgs();
+  }
+  else if (_ssrFormat == "RTCM-SSR") {qDebug() << "bin hier RTCM";
+    _ssrCorr = new SsrCorrRtcm();
+  }
+if (!_ssrCorr) {
+  qDebug() << "no _ssrCorr";
+}
   _CoM = CoM;
   _PID = PID;
@@ -228,10 +240,11 @@
   delete _ephUser;
   delete _usedEph;
+  delete _ssrCorr;
 }
 
 //
 ////////////////////////////////////////////////////////////////////////////
-void bncRtnetUploadCaster::decodeRtnetStream(char* buffer, int bufLen) {
-
+void bncRtnetUploadCaster::decodeRtnetStream(char* buffer, int bufLen) {qDebug() << "decodeRtnetStream";
+  qDebug() << "decodeRtnetStream";
   QMutexLocker locker(&_mutex);
 
@@ -294,58 +307,60 @@
           + _casterID.toLatin1(), false));
 
-  struct ClockOrbit co;
+  struct SsrCorr::ClockOrbit co;
   memset(&co, 0, sizeof(co));
   co.EpochTime[CLOCKORBIT_SATGPS] = static_cast<int>(epoTime.gpssec());
-#ifdef USE_SSR_RTCM
-  double gt = epoTime.gpssec() + 3 * 3600 - gnumleap(year, month, day);
-  co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(fmod(gt, 86400.0));
-#elif USE_SSR_IGS
-  co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(epoTime.gpssec());
-#endif
+  if      (_ssrFormat == "RTCM-SSR") {
+    double gt = epoTime.gpssec() + 3 * 3600 - gnumleap(year, month, day);
+    co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(fmod(gt, 86400.0));
+  }
+  else if (_ssrFormat == "IGS-SSR") {
+    co.EpochTime[CLOCKORBIT_SATGLONASS] = static_cast<int>(epoTime.gpssec());
+  }
   co.EpochTime[CLOCKORBIT_SATGALILEO] = static_cast<int>(epoTime.gpssec());
-  co.EpochTime[CLOCKORBIT_SATQZSS] = static_cast<int>(epoTime.gpssec());
-  co.EpochTime[CLOCKORBIT_SATSBAS] = static_cast<int>(epoTime.gpssec());
-#ifdef USE_SSR_RTCM
-  co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.bdssec());
-#elif  USE_SSR_IGS
-  co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.gpssec());
-#endif
-  co.Supplied[COBOFS_CLOCK] = 1;
-  co.Supplied[COBOFS_ORBIT] = 1;
-  co.SatRefDatum = DATUM_ITRF;
-  co.SSRIOD = _IOD;
+  co.EpochTime[CLOCKORBIT_SATQZSS]    = static_cast<int>(epoTime.gpssec());
+  co.EpochTime[CLOCKORBIT_SATSBAS]    = static_cast<int>(epoTime.gpssec());
+  if      (_ssrFormat == "RTCM-SSR") {
+    co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.bdssec());
+  }
+  else if (_ssrFormat == "IGS-SSR") {
+    co.EpochTime[CLOCKORBIT_SATBDS] = static_cast<int>(epoTime.gpssec());
+  }
+  co.Supplied[_ssrCorr->COBOFS_CLOCK] = 1;
+  co.Supplied[_ssrCorr->COBOFS_ORBIT] = 1;
+  co.SatRefDatum = _ssrCorr->DATUM_ITRF; // ToDo: to decode from RTNET format
+  co.SSRIOD        = _IOD;
   co.SSRProviderID = _PID; // 256 .. BKG,  257 ... EUREF
   co.SSRSolutionID = _SID;
 
-  struct CodeBias bias;
+  struct SsrCorr::CodeBias bias;
   memset(&bias, 0, sizeof(bias));
-  bias.EpochTime[CLOCKORBIT_SATGPS] = co.EpochTime[CLOCKORBIT_SATGPS];
+  bias.EpochTime[CLOCKORBIT_SATGPS]     = co.EpochTime[CLOCKORBIT_SATGPS];
   bias.EpochTime[CLOCKORBIT_SATGLONASS] = co.EpochTime[CLOCKORBIT_SATGLONASS];
   bias.EpochTime[CLOCKORBIT_SATGALILEO] = co.EpochTime[CLOCKORBIT_SATGALILEO];
-  bias.EpochTime[CLOCKORBIT_SATQZSS] = co.EpochTime[CLOCKORBIT_SATQZSS];
-  bias.EpochTime[CLOCKORBIT_SATSBAS] = co.EpochTime[CLOCKORBIT_SATSBAS];
-  bias.EpochTime[CLOCKORBIT_SATBDS] = co.EpochTime[CLOCKORBIT_SATBDS];
-  bias.SSRIOD = _IOD;
+  bias.EpochTime[CLOCKORBIT_SATQZSS]    = co.EpochTime[CLOCKORBIT_SATQZSS];
+  bias.EpochTime[CLOCKORBIT_SATSBAS]    = co.EpochTime[CLOCKORBIT_SATSBAS];
+  bias.EpochTime[CLOCKORBIT_SATBDS]     = co.EpochTime[CLOCKORBIT_SATBDS];
+  bias.SSRIOD        = _IOD;
   bias.SSRProviderID = _PID;
   bias.SSRSolutionID = _SID;
 
-  struct PhaseBias phasebias;
+  struct SsrCorr::PhaseBias phasebias;
   memset(&phasebias, 0, sizeof(phasebias));
   unsigned int dispersiveBiasConsistenyIndicator = 0;
   unsigned int mwConsistencyIndicator = 0;
-  phasebias.EpochTime[CLOCKORBIT_SATGPS] = co.EpochTime[CLOCKORBIT_SATGPS];
+  phasebias.EpochTime[CLOCKORBIT_SATGPS]     = co.EpochTime[CLOCKORBIT_SATGPS];
   phasebias.EpochTime[CLOCKORBIT_SATGLONASS] = co.EpochTime[CLOCKORBIT_SATGLONASS];
   phasebias.EpochTime[CLOCKORBIT_SATGALILEO] = co.EpochTime[CLOCKORBIT_SATGALILEO];
-  phasebias.EpochTime[CLOCKORBIT_SATQZSS] = co.EpochTime[CLOCKORBIT_SATQZSS];
-  phasebias.EpochTime[CLOCKORBIT_SATSBAS] = co.EpochTime[CLOCKORBIT_SATSBAS];
-  phasebias.EpochTime[CLOCKORBIT_SATBDS] = co.EpochTime[CLOCKORBIT_SATBDS];
-  phasebias.SSRIOD = _IOD;
+  phasebias.EpochTime[CLOCKORBIT_SATQZSS]    = co.EpochTime[CLOCKORBIT_SATQZSS];
+  phasebias.EpochTime[CLOCKORBIT_SATSBAS]    = co.EpochTime[CLOCKORBIT_SATSBAS];
+  phasebias.EpochTime[CLOCKORBIT_SATBDS]     = co.EpochTime[CLOCKORBIT_SATBDS];
+  phasebias.SSRIOD        = _IOD;
   phasebias.SSRProviderID = _PID;
   phasebias.SSRSolutionID = _SID;
 
-  struct VTEC vtec;
+  struct SsrCorr::VTEC vtec;
   memset(&vtec, 0, sizeof(vtec));
   vtec.EpochTime = static_cast<int>(epoTime.gpssec());
-  vtec.SSRIOD = _IOD;
+  vtec.SSRIOD        = _IOD;
   vtec.SSRProviderID = _PID;
   vtec.SSRSolutionID = _SID;
@@ -468,5 +483,5 @@
         QString key;
         int numVal = 0;
-        in >> key;
+        in >> key;qDebug() << key;
         if (in.status() != QTextStream::Ok) {
           break;
@@ -553,5 +568,5 @@
       }
 
-      struct ClockOrbit::SatData* sd = 0;
+      struct SsrCorr::ClockOrbit::SatData* sd = 0;
       if (prn.system() == 'G') {
         sd = co.Sat + co.NumberOfSat[CLOCKORBIT_SATGPS];
@@ -599,5 +614,5 @@
       // Code Biases
       // -----------
-      struct CodeBias::BiasSat* biasSat = 0;
+      struct SsrCorr::CodeBias::BiasSat* biasSat = 0;
       if (!codeBiases.isEmpty()) {
         if (prn.system() == 'G') {
